<?php
/**
 * JYmusic音乐管理系统 - [幻灯片模型]
 *
 * @version   2.0
 * @author    战神~~巴蒂 [jyuucn@163.com]
 * @license   license: http://jyuu.cn
 * @copyright JYmusic 2014 - 2017
 */
namespace addons\Pay\model;

use think\Model;

/**
 * 幻灯片模型
 */
class PayHistory extends Model
{
    protected $autoWriteTimestamp = true;

    protected $updateTime = false;

    protected $insert = ['user_ip', 'status' => 0];

    /** 设置用户ip */
    protected function setUserIpAttr()
    {
        return get_client_ip(1, true);
    }

	/** 设置用户ip */
    protected function getTypeAttr($val)
    {
    	if ($val == 'alipay') {
    		return '支付宝';
    	}

    	if ($val == 'wechat') {
    		return '微信';
    	}
        return '';
    }

    /** 设置用户ip */
    protected function getStatusAttr($val)
    {
    	$status = [0 => '未支付', 1 => '支付成功', 2 => '待支付', -1 => '支付失败'];

        return $status[$val];
    }

    /** 格式化IP */
    protected function getUserIpAttr($val)
    {
        return long2ip($val);
    }
}
